%This script computes and displays the average radial MTF
%This script can only be used after running compMTF.m

[sizMTF junk] = size(MTFaper);
[junk peaky]=max(max(MTFaper));
[junk peakx]=max(max(transpose(MTFaper)));

maxradius=sqrt(2*(sizMTF/2)^2);

%MTFarray = zeros(sizMTF,sizMTF);
numbins=100;%sizMTF/4; %number of bins in the radial MTF
radialMTFarray = zeros(numbins,2);

for (i=1:sizMTF)
   for (j=1:sizMTF)
      xpos=i-peakx;
      ypos=j-peaky;
      radius=ceil(numbins*sqrt(xpos^2+ypos^2)/maxradius);
      if (radius==0)
      else
         radialMTFarray(radius,1)=radialMTFarray(radius,1)+MTFaper(i,j);
         radialMTFarray(radius,2)=radialMTFarray(radius,2)+1;
      end
   end
end


radialMTF=radialMTFarray(:,1)./radialMTFarray(:,2);

radialMTF=cat(1,1,radialMTF);
axisradMTF=0:sqrt(2)*max(abs(axisMTF))/numbins:sqrt(2)*max(abs(axisMTF));
figure('Position',[1 40 scrsz(3)/3 scrsz(4)/3]);
plot(axisradMTF,radialMTF);
title('radial average MTF');
xlabel('c/deg');
ylabel('modulation');

      